from numpy import *
from scipy import lena
import scipy.ndimage as sn
import scipy.misc as misc
import glob
import os
import pylab

direc = 'FallWinter2003'

files = glob.glob(os.path.join(direc,'*.jpg'))

im = misc.imread(files[0])
rd = im[:,:,1][600:,400:1800].astype(int16)

edges = sn.sobel(rd).astype(int16)
edges2 = sn.laplace(rd).astype(int16)
edges3 = sn.prewitt(rd).astype(int16)

pylab.figure(1)
pylab.gray()
pylab.imshow(rd)
pylab.title('Original')
pylab.figure(2)
pylab.gray()
pylab.imshow(edges)
pylab.title('Sobel')
pylab.figure(3)
pylab.gray()
pylab.imshow(edges2)
pylab.title('Laplace')
pylab.figure(4)
pylab.gray()
pylab.imshow(edges3)
pylab.title('Prewitt')
im2 = lena()
pylab.figure(5)
pylab.gray()
pylab.imshow(im2)

pylab.figure(6)
pylab.gray()
pylab.imshow(sn.sobel(im2))
