
import glob
import os
import scipy
import scipy.misc as sm
import numpy

#direc = 'Pictures'
#direc = 'FallWinter2003'
direc = 'small images'

files = glob.glob(os.path.join(direc,'*.jpg'))

img = sm.imread(files[0])
shape = img.shape[:2]
vecsize = numpy.prod(numpy.array(shape))
N2 = len(files)
R = numpy.empty((vecsize,N2),float)
G = numpy.empty((vecsize,N2),float)
B = numpy.empty((vecsize,N2),float)
print "R.shape is ", R.shape
N2 = 0
for k, file in enumerate(files[1:]):
    img = sm.imread(file)
    R[:,k] = img[:,:,0].ravel()
    G[:,k] = img[:,:,1].ravel()
    B[:,k] = img[:,:,2].ravel()
    if (k > 50):
        break
    N2+=1

R = R[:,:N2]
G = G[:,:N2]
B = B[:,:N2]

from numpy.linalg import svd

print "Done reading"
uR,sR,vhR = svd(R,full_matrices=0) 
uG,sG,vhG = svd(G,full_matrices=0) 
uB,sB,vhB = svd(B,full_matrices=0) 

shape = img.shape[:2]
im1 = numpy.empty(shape+(3,),float)
im1[:,:,0] = uR[:,0].reshape(shape)
im1[:,:,1] = uG[:,0].reshape(shape)
im1[:,:,2] = uB[:,0].reshape(shape)
im2 = numpy.empty(shape+(3,),float)
im2[:,:,0] = uR[:,1].reshape(shape)
im2[:,:,1] = uG[:,1].reshape(shape)
im2[:,:,2] = uB[:,1].reshape(shape)
im3 = numpy.empty(shape+(3,),float)
im3[:,:,0] = uR[:,2].reshape(shape)
im3[:,:,1] = uG[:,2].reshape(shape)
im3[:,:,2] = uB[:,2].reshape(shape)

import pylab
