from numpy import *
import scipy.ndimage as sn
import scipy.misc as misc
import glob
import os
import pylab

direc = 'FallWinter2003'

files = glob.glob(os.path.join(direc,'*.jpg'))

im = misc.imread(files[0])

s1 = sin(pi/6.0)
matr = array([[1.0, s1],
             [-s1, 2.0]])

res = im*0.0
for k in xrange(3):
    res[:,:,k] = sn.affine_transform(im[:,:,k],matr)

res = res.astype(uint8)
pylab.figure(1)
pylab.imshow(im)
pylab.figure(2)
pylab.imshow(res)

res1 = sn.rotate(im[:,:,0],55,reshape=True)
res = empty(res1.shape + (3,),uint8)
res[:,:,0] = res1
res[:,:,1] = sn.rotate(im[:,:,1],55,reshape=True)
res[:,:,2] = sn.rotate(im[:,:,2],55,reshape=True)
pylab.figure(3)
pylab.imshow(res)
                 
