# Binary data
#  * Ideally you have a reader
#  * Otherwise you make one using low-level operations like
#    fid.read(), numpy.fromfile, or mmap.
#  * Go over numpy.fromfile and obj.tofile

import scipy.io.wavfile as siw

# Read in sample file
rate, data = siw.read('Songs/26 Cuckoo.wav')
# Look at it
pylab.figure(2)
pylab.clf()
pylab.subplot(211)
pylab.plot(data[:30000,0])
DATA = numpy.fft.fft(data, axis=0)
freqs = numpy.fft.fftfreq(len(data),d=1.0/rate)
pylab.subplot(212)
pylab.plot(freqs, abs(DATA)[:,0])

